#include <stdio.h>

#include "gttypes.h"
#include "error.h"

/************************************************************************\
*
* Error messages module for 'tagorg'.
*
* $Copyright: (C) 1997 by Gran Gustafsson $ 
*
\************************************************************************/


/************************************************************************\
*
* Print error/warning message and exit if error.
*
\************************************************************************/
void Error(int type,char *str)
{
	if(type==ERR_FATAL)
	{
		fprintf(stderr,"Error: %s!\n",str);
		exit(-1);
	}
	else
	{
		fprintf(stderr,"Warning: %s.\n",str);
	}
}
